package me.parsell.wireddust;

import me.parsell.wireddust.core.WiredDustBlocks;
import net.fabricmc.api.ClientModInitializer;
import net.fabricmc.fabric.api.blockrenderlayer.v1.BlockRenderLayerMap;
import net.fabricmc.fabric.api.client.rendering.v1.ColorProviderRegistry;
import net.minecraft.client.render.RenderLayer;

public class WiredDustClient implements ClientModInitializer {
	@Override
	public void onInitializeClient(){
    BlockRenderLayerMap.INSTANCE.putBlock(WiredDustBlocks.GLOWSTONE_WIRE, RenderLayer.getCutout());
    ColorProviderRegistry.BLOCK.register((state, world, pos, tintIndex) -> {return 0xffbc5e;}, WiredDustBlocks.GLOWSTONE_WIRE);

	BlockRenderLayerMap.INSTANCE.putBlock(WiredDustBlocks.BLAZE_POWDER_WIRE, RenderLayer.getCutout());
	ColorProviderRegistry.BLOCK.register((state, world, pos, tintIndex) -> {return 0xCC5500;}, WiredDustBlocks.BLAZE_POWDER_WIRE);

	BlockRenderLayerMap.INSTANCE.putBlock(WiredDustBlocks.GUNPOWDER_WIRE, RenderLayer.getCutout());
	ColorProviderRegistry.BLOCK.register((state, world, pos, tintIndex) -> {return 0x696969;}, WiredDustBlocks.GUNPOWDER_WIRE); //nice

	BlockRenderLayerMap.INSTANCE.putBlock(WiredDustBlocks.SUGAR_WIRE, RenderLayer.getCutout());
	ColorProviderRegistry.BLOCK.register((state, world, pos, tintIndex) -> {return 0xffffff;}, WiredDustBlocks.SUGAR_WIRE);
	}
}