package me.parsell.wireddust;

import me.shedaniel.autoconfig.ConfigData;
import me.shedaniel.autoconfig.annotation.Config;

@Config(name = "WiredDust")
public class WiredDustConfig implements ConfigData{
    public boolean useVanillaItems = true;

    public boolean addSugarWire = true;
    public boolean addGlowstoneWire = true;

    public boolean addBlazePowderWire = true;
    //public boolean doBlazePowderDamage = true; // GR

    public boolean addGunpowderWire = true;
    public boolean gunpowderWireIgnitesExtremelyFlammableBlocks = true; //GR: Campfire, leaves
    public boolean gunpowderWireIgnitesFlammableBlocks = false; //GR: wool, hay
    //public boolean gunpowderWireIgnitesTNT = true; //GR: tnt duh

    //TODO Consider gamerules for additional functionality instead of mod config
}
