package me.parsell.wireddust;

import me.parsell.wireddust.core.WiredDustBlocks;
import me.parsell.wireddust.core.WiredDustItems;
import me.shedaniel.autoconfig.AutoConfig;
import me.shedaniel.autoconfig.serializer.GsonConfigSerializer;
import net.fabricmc.api.ModInitializer;
import net.fabricmc.fabric.api.event.player.UseBlockCallback;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Items;
import net.minecraft.util.ActionResult;

public class WiredDust implements ModInitializer {
	public static final String MODID = "wireddust";
	public static WiredDustConfig CONFIG;
	
	@Override
	public void onInitialize() {
		AutoConfig.register(WiredDustConfig.class, GsonConfigSerializer::new);
		CONFIG = AutoConfig.getConfigHolder(WiredDustConfig.class).getConfig();

    	WiredDustBlocks.init();
		WiredDustItems.init();


		// Make sure player is not in spectator mode
		// Make sure the player has sugar in his hand
		// Check to see if the thing is interactable? (is this possible?)
		// Attempt to place wire
		/*UseBlockCallback.EVENT.register((player, world, hand, hitResult) -> {
			if(player.getMainHandStack().equals(new ItemStack(Items.SUGAR)))
				if(player.)
			return ActionResult.PASS;
		});*/
	}
}
